//
// Created by oubayasho on 2023/6/5.
//

#ifndef UNTITLED6_USBFINDER_H
#define UNTITLED6_USBFINDER_H

#include "device_information.h"

struct device_id_s {
    QString full_device_id;
    QString mfg;
    QString mdl;
    QString sern;
    QString cls;
};

void
parse_device_id (const char *device_id, struct device_id_s *id);


class usbFinder {
public:
    usbFinder();
    ~usbFinder();
    void dowork();
    QList<DeviceInformation> getList();
private:
    QList<DeviceInformation> m_usbInfoList;
};


#endif//UNTITLED6_USBFINDER_H
